# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xsmbshare`](#dsc_xsmbshare): The DSC xSmbShare resource type. Automatically generated from version 2.2.0.0

## Resource types

### <a name="dsc_xsmbshare"></a>`dsc_xsmbshare`

The DSC xSmbShare resource type.
Automatically generated from version 2.2.0.0

#### Properties

The following properties are available in the `dsc_xsmbshare` type.

##### `dsc_cachingmode`

Data type: `Optional[Enum['None', 'Manual', 'Programs', 'Documents', 'BranchCache']]`

Specifies the caching mode of the offline files for the SMB share.

##### `dsc_changeaccess`

Data type: `Optional[Array[String]]`

Specifies which user will be granted modify permission to access the share

##### `dsc_concurrentuserlimit`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum number of concurrently connected users that the new SMB share may accommodate. If this parameter is set to zero (0), then the number of users is unlimited. The default value is zero (0).

##### `dsc_description`

Data type: `Optional[String]`

Description of the share

##### `dsc_encryptdata`

Data type: `Optional[Boolean]`

Indicates that the share is encrypted.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies if the share should be added or removed

##### `dsc_folderenumerationmode`

Data type: `Optional[Enum['AccessBased', 'Unrestricted']]`

Specifies which files and folders in the new SMB share are visible to users.

##### `dsc_fullaccess`

Data type: `Optional[Array[String]]`

Specifies which accounts are granted full permission to access the share.

##### `dsc_noaccess`

Data type: `Optional[Array[String]]`

Specifies which accounts are denied access to the share.

##### `dsc_path`

Data type: `String`

Path to the share

##### `dsc_readaccess`

Data type: `Optional[Array[String]]`

Specifies which user is granted read permission to access the share.

##### `dsc_shadowcopy`

Data type: `Optional[String]`

Specifies if this share is a ShadowCopy

##### `dsc_sharestate`

Data type: `Optional[String]`

Specifies the state of the share

##### `dsc_sharetype`

Data type: `Optional[String]`

Specifies the type of the share

##### `dsc_special`

Data type: `Optional[String]`

Specifies if this share is a Special Share. Admin share, default shares, IPC$ share are examples.

#### Parameters

The following parameters are available in the `dsc_xsmbshare` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Name of the SMB Share

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

